#!/bin/sh
# ==========================================================================
#
# This is the main entry point for the build system.
#
# Use this file rather than 'ant' to ensure correct version and proper
# configuration of ant is used.
#
#
# $Id: build.sh,v 1.2 2002/08/16 21:25:32 cney Exp $
# Authors:
#    Christophe Ney <cney@batisseurs.com>
# ==========================================================================

echo
echo "Zeus Build System"
echo "-------------------"
echo

if [ "$JAVA_HOME" = "" ] ; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo
  echo "Please, set the JAVA_HOME variable in your environment to match the"
  echo "location of the Java Virtual Machine you want to use."
  exit 1
fi

if [ `echo $OSTYPE | grep -n cygwin` ]; then
  PS=";"
else
  PS=":"
fi

LOCAL_HOME=${0%/*}/..
LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar
LOCALCLASSPATH=$LOCALCLASSPATH${PS}$LOCAL_HOME/lib/xerces.jar
LOCALCLASSPATH=$LOCALCLASSPATH${PS}$LOCAL_HOME/lib/ant.jar
LOCALCLASSPATH=$LOCALCLASSPATH${PS}$LOCAL_HOME/lib/optional.jar
LOCALCLASSPATH=$LOCALCLASSPATH${PS}$LOCAL_HOME/lib/junit.jar
ANT_HOME=$LOCAL_HOME

echo Building with classpath $LOCALCLASSPATH
echo

echo Starting Ant...
echo

$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath $LOCALCLASSPATH org.apache.tools.ant.Main $*
